Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(27)

Issue 353790043: Use a stable sort when ordering MIDI items (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month, 1 week ago by bobo1239
Modified:
1 month ago
Reviewers:
Dan Eble, dan, carl.d.sorensen, c_sorensen
CC:
lilypond-devel_gnu.org
Visibility:
Public.

Description

Use a stable sort when ordering MIDI items Fixes the issue described here: https://lists.gnu.org/archive/html/lilypond-user/2015-02/msg00035.html (undeterministic reordering of events at the same MIDI timestamp; e.g. "\sustainOff\sustainOn")

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+13 lines, -1 line) Patch
M flower/include/std-vector.hh View 1 chunk +12 lines, -0 lines 0 comments Download
M lily/midi-walker.cc View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 10
bobo1239
Hi all, this is a patch to fix the issue described here: https://lists.gnu.org/archive/html/lilypond-user/2015-02/msg00035.html (I'm surprised ...
1 month, 1 week ago (2018-10-31 16:19:31 UTC) #1
Carl
Why not always have our sort use stable_sort? Have you tried with a large score ...
1 month, 1 week ago (2018-10-31 18:00:13 UTC) #2
bobo1239
I've built two versions of lilypond to measure the performance impact of always using `stable_sort`. ...
1 month, 1 week ago (2018-10-31 21:04:55 UTC) #3
dan_faithful.be
On Oct 31, 2018, at 14:00, carl.d.sorensen@gmail.com wrote: > > Why not always have our ...
1 month, 1 week ago (2018-11-01 01:31:57 UTC) #4
Dan Eble
> (I'm surprised this hasn't been fixed until now.) Welcome to LilyPond, where you supply ...
1 month, 1 week ago (2018-11-01 01:50:38 UTC) #5
c_sorensen
On 10/31/18, 7:32 PM, "Dan Eble" <dan@faithful.be> wrote: On Oct 31, 2018, at 14:00, carl.d.sorensen@gmail.com ...
1 month, 1 week ago (2018-11-01 03:23:21 UTC) #6
bobo1239
On 2018/11/01 01:50:38, Dan Eble wrote: > > (I'm surprised this hasn't been fixed until ...
1 month, 1 week ago (2018-11-01 14:09:57 UTC) #7
Dan Eble
On 2018/11/01 03:23:21, c_sorensen wrote: > > On 10/31/18, 7:32 PM, "Dan Eble" <mailto:dan@faithful.be> wrote: ...
1 month, 1 week ago (2018-11-02 00:54:32 UTC) #8
Dan Eble
The ticket for this review is https://sourceforge.net/p/testlilyissues/issues/5434/ . Carl, it sounds like James needs clarification ...
1 month ago (2018-11-03 12:39:41 UTC) #9
Carl
1 month ago (2018-11-03 15:43:41 UTC) #10
On 2018/11/03 12:39:41, Dan Eble wrote:
> The ticket for this review is
> https://sourceforge.net/p/testlilyissues/issues/5434/ .
> 
> Carl, it sounds like James needs clarification as to whether you are still
> pressing for changing more sort calls to stable_sort calls.  MHO is that this
> change stands fine on its own.

I'm fine to have it submitted as-is.

Carl
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b